Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
54 Views

.NET core compatibility

Hello.

I was able to use MKL under mono/linux.

However it fails with segmentation fault and/or illegal instruction when I use .NET core.

The same .NET core app works when launched under windows.

Are there known compatibility issues with dotnet core that for whatever reason wouldn't exist on mono?

Same OS, same libmkl_rt.so library, but when it starts executing it halts everything and no tracing information of any sort.

I have not compiled MKL from source.

0 Kudos
2 Replies
Highlighted
Beginner
54 Views

Ubuntu server gives same error. definitely an issue with .net core calling mkl.

with mono it worked though!!!!

0 Kudos
Highlighted
Employee
54 Views

Hi HD, 

Thank you for the query. 

MKL is only supported  by Intel® MKL 2018 System Requirements  . It is first time we see the try about MKL and mono, so unknown problem.  if possible, could you please provide the instruction how to reproduce the problem so maybe get some ideas from the forum. 

Best Regards,

Ying 

 

  •  
0 Kudos